Loading...
Searching...
No Matches
osmium::StringMatcher::match_visitor Class Reference
Inheritance diagram for osmium::StringMatcher::match_visitor:
[legend]
Collaboration diagram for osmium::StringMatcher::match_visitor:
[legend]

## Public Member Functions

| match_visitor (const char *str) noexcept
template<typename TMatcher>
bool | operator() (const TMatcher &t) const noexcept

## Private Attributes

const char * | m_str

## Constructor & Destructor Documentation

## match_visitor()

osmium::StringMatcher::match_visitor::match_visitor | ( | const char * | str | ) |

inlineexplicitnoexcept

## Member Function Documentation

## operator()()

template<typename TMatcher>

bool osmium::StringMatcher::match_visitor::operator() | ( | const TMatcher & | t | ) | const

inlinenoexcept

## Member Data Documentation

## m_str

const char* osmium::StringMatcher::match_visitor::m_str

private

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp